Bug 60365 - Anaconda probes for USB mouse while no USB controller was detected
Anaconda probes for USB mouse while no USB controller was detected
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-26 14:00 EST by Martin Stricker
Modified: 2012-02-27 10:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 16:36:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stricker 2002-02-26 14:00:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:
When Anaconda probes for hardware it tries to find an USB mouse even though it detected no USB controller beforehand.
On virtual terminal 3 (accessible with [Alt][F3]) I see (in excerpts):
* 7972 kB are available
* going to insmod (several kernel modules on several lines)
* looking for usb controllers
* no usb controller found
(detecting several other hardware)
* looking for USB mouse...
That is the last message issued before the actual install process starts. There is a notable time delay here, I'm not sure if it is related to the USB 
mouse detection. There is no USB controller in my computer.
Anaconda should only try to detect an USB mouse if it has prior detected an USB controller!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start the installation
2. Answer the questions about language and keyboard
3. Watch output on virtual terminal 3
	

Actual Results:  Anaconda tried to detect an USB mouse even though it detected no USB controller prior to this.

Expected Results:  Anaconda should only try to detect an USB mouse if it has prior to this detected an USB controller!

Additional info:

I used the original Red Hat Linux 7.2 installation CDs (German boxed set bought end of november 2001), booting from CD 1.
Comment 1 Jeremy Katz 2002-03-07 16:36:46 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.